QGIS Application - Feature request #7967
Modeler: Output of a tool is not graphically used as the input of the next tool
2013-06-02 02:11 AM - Filipe Dias

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/Modeller

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 16826
Description

The attached model has as input a Vector, which Dissolved (QGis dissolve) and used as input for Regular sampling Grid. | named the
output of Qgis Dissolve as "Dissolved" and it is graphically shown as the output. In Regular sampling grid | selected "Dissolve.shp" as the
Input but it is no graphically selected as such.

History

#1 - 2013-07-22 02:47 AM - Filipe Dias
- Priority changed from Normal to High

Im raising the priority level on this one because this bug interferes with the preparation of support materials.

#2 - 2014-10-04 12:16 PM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application
- Category deleted (64)

- Affected QGIS version set to 2.4.0

#3 - 2014-10-04 12:17 PM - Giovanni Manghi
- Category set to Processing/Modeller

#4 - 2015-06-22 02:50 AM - Victor Olaya

- Status changed from Open to Feedback
- Priority changed from High to Low

This is not a bug, it is intentional. The output element in the canvas just represents that the algorithm output is going to generate a definitive output of the
model. The link is done from the output in the algorithm (you can expand the list of outputs clicking the + link in the lower part of the algorithm.

That way, i think it's not so meesy with more arrows than needed.

I put it in low priority, since we might consider this idea in the future for improving the model, but, since that will probably not happen in the short term, you

can prepare your support materials safely with the current state of the modeler.

#5 - 2015-06-22 03:03 AM - Filipe Dias
- Tracker changed from Bug report to Feature request

Ok, I'm changing it to a feature request then.
#6 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#7 - 2017-06-29 01:15 AM - Nyall Dawson

- Resolution set to invalid
- Status changed from Feedback to Closed

As Victor stated - this is by design

Files

24.png 96.2 KB 2013-06-02 Filipe Dias

test_model.model 443 Bytes 2013-06-02 Filipe Dias
